diff -ru fltk-1.3.2.orig/CMakeLists.txt fltk-1.3.2/CMakeLists.txt
--- fltk-1.3.2.orig/CMakeLists.txt	2012-09-13 16:19:01.000000000 +0200
+++ fltk-1.3.2/CMakeLists.txt	2013-11-30 16:25:16.271661000 +0100
@@ -151,12 +151,34 @@
 mark_as_advanced(LIB_jpeg LIB_png LIB_zlib)
 
 #######################################################################
+if(LIB_fontconfig)
+   list(APPEND FLTK_LDLIBS -lfontconfig)
+endif(LIB_fontconfig)
+
+if(LIB_png)
+   list(APPEND IMAGELIBS -lpng)
+endif(LIB_png)
+
+if(LIB_zlib)
+   list(APPEND IMAGELIBS -lz)
+endif(LIB_zlib)
+
+if(LIB_jpeg)
+   list(APPEND IMAGELIBS -ljpeg)
+endif(LIB_jpeg)
+
+string(REPLACE ";" " " IMAGELIBS "${IMAGELIBS}")
+set(STATICIMAGELIBS "${IMAGELIBS}")
+
+
+#######################################################################
 # functions
 include(CheckFunctionExists)
 
 if(HAVE_DLFCN_H)
    set(CMAKE_REQUIRED_LIBRARIES dl)
    set(HAVE_DLFCN_H 1)
+   list(APPEND FLTK_LDLIBS -ldl)
 endif(HAVE_DLFCN_H)
 CHECK_FUNCTION_EXISTS(dlsym                  HAVE_DLSYM)
 
@@ -167,6 +189,7 @@
 endif(LIB_png)
 CHECK_FUNCTION_EXISTS(png_get_valid          HAVE_PNG_GET_VALID)
 CHECK_FUNCTION_EXISTS(png_set_tRNS_to_alpha  HAVE_PNG_SET_TRNS_TO_ALPHA)
+set(CMAKE_REQUIRED_LIBRARIES)
 
 CHECK_FUNCTION_EXISTS(scandir                HAVE_SCANDIR)
 CHECK_FUNCTION_EXISTS(snprintf               HAVE_SNPRINTF)
diff -ru fltk-1.3.2.orig/fluid/CMakeLists.txt fltk-1.3.2/fluid/CMakeLists.txt
--- fltk-1.3.2.orig/fluid/CMakeLists.txt	2011-01-06 11:24:58.000000000 +0100
+++ fltk-1.3.2/fluid/CMakeLists.txt	2013-11-30 16:12:51.215230000 +0100
@@ -42,6 +42,10 @@
    target_link_libraries(fluid ${X11_Xinerama_LIB})
 endif(HAVE_XINERAMA)
 
+if(HAVE_DLFCN_H)
+   target_link_libraries(fluid dl)
+endif(HAVE_DLFCN_H)
+
 install(TARGETS fluid
    EXPORT fltk-install
    DESTINATION ${PREFIX_BIN}
diff -ru fltk-1.3.2.orig/test/CMakeLists.txt fltk-1.3.2/test/CMakeLists.txt
--- fltk-1.3.2.orig/test/CMakeLists.txt	2011-01-06 11:24:58.000000000 +0100
+++ fltk-1.3.2/test/CMakeLists.txt	2013-11-30 16:14:22.491642000 +0100
@@ -45,6 +45,10 @@
       target_link_libraries(${NAME} ${X11_Xinerama_LIB})
    endif(HAVE_XINERAMA)
 
+   if(HAVE_DLFCN_H)
+      target_link_libraries(${NAME} dl)
+   endif(HAVE_DLFCN_H)
+
    install(TARGETS ${NAME}
       DESTINATION ${PREFIX_DOC}/examples
       )
